{

    // lighter部分镜头控制

    "AbilityName" : "Lighter_CameraManager",

    "AbilityStacking":"Unique",



    "AbilityMixins": 

	[

		{

			"$type": "MoleMole.AttachStateWithModifierMixin",

			"ConfigList": 

			[

				//普攻5循环段镜头管理

				{

					"AnimatorStateName": "Attack_Normal_05_01",

					"LayerIndex": 0,

					"Target": "Self",

					"NormalizedTimeLow": 0.2,

					"NormalizedTimeHigh": 1.0,

					"ModifierNameList": 

					[

						"Attack05LoopModifier"

					]

				},

				{

					"AnimatorStateName": "Attack_Normal_05_02_Start",

					"LayerIndex": 0,

					"Target": "Self",

					"NormalizedTimeLow": 0.0,

					"NormalizedTimeHigh": 1.0,

					"ModifierNameList": 

					[

						"Attack05LoopModifier"

					]

				},

                {

					"AnimatorStateName": "Attack_Normal_05_02_Loop",

					"LayerIndex": 0,

					"Target": "Self",

                    "IsLoop": true,

					"NormalizedTimeLow": 0.0,

					"NormalizedTimeHigh": 1.0,

					"ModifierNameList": 

					[

						"Attack05LoopModifier"

					]

				},

                {

					"AnimatorStateName": "Attack_Normal_05_03",

					"LayerIndex": 0,

					"Target": "Self",

					"NormalizedTimeLow": 0.0,

					"NormalizedTimeHigh": 0.24,

					"ModifierNameList": 

					[

						"Attack05LoopModifier"

					]

				},

				{

					"AnimatorStateName": "Attack_Normal_05_03",

					"LayerIndex": 0,

					"Target": "Self",

					"NormalizedTimeLow": 0.24,

					"NormalizedTimeHigh": 1.0,

					"ModifierNameList": 

					[

						"Attack05FinishModifier"

					]

				}

			]

		}

	],



    "Modifiers" : 

    {

        "Attack05LoopModifier" : 

        {

            "ModifierStacking" : "Unique",

            "Duration" : -1,

            "IgnoreTimeScale" : true,

            //进入时开始镜头，离开时停止

            "OnAdded":

            [

                {

                    "$type" : "MoleMole.CameraZoomAction",

                    "ZoomConfigKey" : "Lighter_Attack_Normal_05_02_Start_CamZoom_01"

                },

                {

                    "$type" : "MoleMole.CameraStretchAction",

                    "StretchConfigKey" : "Lighter_Attack_Normal_05_02_Start_CamStretch_01"

                }

            ],

            "OnRemoved":

            [

				{

                    "$type" : "MoleMole.CameraZoomEndAction",

                    "EndCameraZoomKey" : "Lighter_Attack_Normal_05_02_Start_CamZoom_01"

                },

                {

                    "$type" : "MoleMole.CameraStretchEndAction",

                    "EndCameraStretchKey" : "Lighter_Attack_Normal_05_02_Start_CamStretch_01"

                }

            ]

        },

		"Attack05FinishModifier" : 

        {

            "ModifierStacking" : "Unique",

            "Duration" : -1,

            "IgnoreTimeScale" : true,

            //进入时开始镜头，离开时停止

            "OnAdded":

            [

                {

                    "$type" : "MoleMole.CameraZoomAction",

                    "ZoomConfigKey" : "Lighter_Attack_Normal_05_03_CamZoom_01"

                },

                {

                    "$type" : "MoleMole.CameraStretchAction",

                    "StretchConfigKey" : "Lighter_Attack_Normal_05_03_CamStretch_01"

                }

            ],

            "OnRemoved":

            [

				{

                    "$type" : "MoleMole.CameraZoomEndAction",

                    "EndCameraZoomKey" : "Lighter_Attack_Normal_05_03_CamZoom_01"

                },

                {

                    "$type" : "MoleMole.CameraStretchEndAction",

                    "EndCameraStretchKey" : "Lighter_Attack_Normal_05_03_CamStretch_01"

                }

            ]

        }

    }

}